Recover from a snapshot (shard)
Recovers the shard of a local collection from a snapshot. This will overwrite any collection data, which is stored in this shard.
Authentication
api-keystring
Authorization key, either read-write or read-only
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
collection_name
Name of the collection
shard_id
Id of the shard to recover
Query parameters
wait
If true, wait for changes to actually happen. If false - let changes happen in background. Default is true.
Request
Snapshot to recover from
location
priority
checksum
Optional SHA256 checksum to verify snapshot integrity before recovery.
api_key
Optional API key used when fetching the snapshot from a remote URL.
Response
successful operation
time
Time spent to process this request
status
result
Errors
4XX
Client Request Error